| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/csbaseeventh.h File Reference

Base implementation of a generic event handler. More...

`#include "csextern.h"`
`#include "csutil/eventhandlers.h"`
`#include "csutil/ref.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/event.h"`
`#include "iutil/eventh.h"`
`#include <limits.h>`

Go to the source code of this file.

## Classes
class | csBaseEventHandler
| Base implementation of a generic event handler. More...
class | csBaseEventHandler::EventHandlerImpl
| Actual iEventHandler implementation. More...
## Defines
#define | _CSBASEEVENT_MAXARRAYINDEX csevFrameStart

## Detailed Description

Base implementation of a generic event handler.

Definition in file csbaseeventh.h.